summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorLuke Shumaker <shumakl@purdue.edu>2015-12-10 21:14:23 -0500
committerLuke Shumaker <shumakl@purdue.edu>2015-12-10 21:14:23 -0500
commit2aa4ed67883acbb66817ef24b1ef23138d944e73 (patch)
tree7163699c3c40ddce323bac09917f781f64f342d8
parent10a27f0884884f0b0a7da3a0494638a71e8b4af4 (diff)
XDG_RUNTIME_DIR: "Recent" Linux kernels support flock over NFS.purdue-cs/master
And Purdue seems to have enabled that.
-rw-r--r--.config/login.d/02_xdg_runtime_dir.sh11
1 files changed, 5 insertions, 6 deletions
diff --git a/.config/login.d/02_xdg_runtime_dir.sh b/.config/login.d/02_xdg_runtime_dir.sh
index 6e3e4ad..86f1232 100644
--- a/.config/login.d/02_xdg_runtime_dir.sh
+++ b/.config/login.d/02_xdg_runtime_dir.sh
@@ -1,12 +1,11 @@
#!/hint/sh
-
# Set XDG_RUNTIME_DIR if we can
if [ -z "$XDG_RUNTIME_DIR" ] && type flock &>/dev/null; then
_diy_xdg_runtime_login() {
- export XDG_RUNTIME_DIR="$XDG_CACHE_HOME/xdg-runtime-dir/$HOSTNAME"
- if ! [ /dev/fd/7 -ef "$XDG_CACHE_HOME/xdg-runtime-dir/.lock" ]; then
- mkdir -p -- "$XDG_CACHE_HOME/xdg-runtime-dir"
- exec 7>"$XDG_CACHE_HOME/xdg-runtime-dir/.lock"
+ export XDG_RUNTIME_DIR="$XDG_CACHE_HOME/xdg-runtime-dir/$HOSTNAME.dir"
+ if ! [ /dev/fd/7 -ef "$XDG_CACHE_HOME/xdg-runtime-dir/$HOSTNAME.lock" ]; then
+ mkdir -p -- "$XDG_CACHE_HOME/xdg-runtime-dir"
+ exec 7>"$XDG_CACHE_HOME/xdg-runtime-dir/$HOSTNAME.lock"
if flock -xn 7; then
if [ ! -d "$XDG_RUNTIME_DIR" ]; then
local tmp="$(mktemp -d --tmpdir -- "${USER}@${HOSTNAME}-runtime.XXXXXXXXXX")"
@@ -19,9 +18,9 @@ if [ -z "$XDG_RUNTIME_DIR" ] && type flock &>/dev/null; then
fi
}
_diy_xdg_runtime_logout() {
- exec 7>"$XDG_CACHE_HOME/xdg-runtime-dir/.lock"
if flock -xn 7; then
rm -rf -- "$(readlink "$XDG_RUNTIME_DIR")"
+ rm -f -- "$XDG_RUNTIME_DIR"
fi
}
_diy_xdg_runtime_login